export = AbstractModel;
/**
 * @inner
 */
declare class AbstractModel {
    /**
     * @inner
     */
    deserialize(params: any): void;
    /**
     * Serialize object into a JSON string.
     * @return {string}
     */
    to_json_string(): string;
    /**
     * Deserialize from a JSON string to an object.
     * @param  {string} dataString
     */
    from_json_string(dataString: string): void;
}
