export = Credential;
/**
 * Credentials.
 * @class
 */
declare class Credential {
    /**
     * @param {string} secretId
     * @param {string} secretKey
     * @param {string=} token
     */
    constructor(secretId: string, secretKey: string, token?: string | undefined);
    /**
     * @type {string || null}
     */
    secretId: string;
    /**
     * @type {string || null}
     */
    secretKey: string;
    /**
     * token
     * @type {string || null}
     */
    token: string;
}
